import { ConnectionSummary } from '../../domain/models/connections/ConnectionSummary.interface';
import { ConnectionElement } from '../../domain/models/connections/ConnectionElement.interface';
import { ConnectionResponse } from '../../domain/models/connections/ConnectionResponse.interface';
import { ConnectionDataBaseModel } from '../../domain/models/connections/ConnectionDataBaseModel.interface';
import { PreviewDatafileResponse } from '../models/previewDatafile/PreviewDatafileResponse.interface';
import { DatabaseSchemaListResponse } from '../models/connections/DatabaseSchemaListResponse.interface';
import { DatabaseTableListResponse } from '../models/connections/DatabaseTableListResponse.interface';
import { DatabaseViewListResponse } from '../models/connections/DatabaseViewListResponse.interface';
import { ColumnListResponse } from '../models/connections/ColumnListResponse.interface';
import { ConfigurationResponse } from '../models/configurations/ConfigurationResponse.interface';
import { ColumnNormalizedListResponse } from '../models/connections/ColumnNormalizedListResponse.interface';
export declare class ConnectionService {
    private connectionRepository;
    constructor();
    getConnectionSummary(): Promise<ConnectionSummary>;
    deleteConnection(idConnectionSelected: String): Promise<ConnectionResponse>;
    getConnectionTypeFromQueryString(): String;
    getConnectionType(type: String, validation: Boolean): String;
    validateConnection(connectionSelected: ConnectionElement): Promise<ConnectionResponse>;
    validateNewConnection(type: String, data: any): Promise<ConnectionResponse>;
    showEditConnection(connectionSelected: ConnectionElement): string;
    getQueryStringParameters(): any;
    editConnection(idConnection: String, cnx_type: String): Promise<ConnectionDataBaseModel>;
    getConnectionList(): Promise<ConnectionDataBaseModel>;
    getConnectionDatabaseList(): Promise<ConnectionDataBaseModel>;
    getConnectionDatafileList(): Promise<ConnectionDataBaseModel>;
    getDatabaseDriversList(): Promise<import("../models/drivers/DriverList.interface").DriverList>;
    saveEditDatafileConnection(data: any, id: string): Promise<any>;
    saveEditDatabaseConnection(data: any, id: string): Promise<any>;
    saveNewDatafileConnection(data: any): Promise<any>;
    saveNewDatabaseConnection(data: any): Promise<any>;
    getPreviewDatafile(data: any): Promise<PreviewDatafileResponse>;
    getHeaderDataFile(data: any): Promise<any>;
    getDatabaseSchemaList(idDatabase: String): Promise<DatabaseSchemaListResponse>;
    getDatabaseTableList(idDatabase: String, schema: String): Promise<DatabaseTableListResponse>;
    getDatabaseViewList(idDatabase: String, schema: String): Promise<DatabaseViewListResponse>;
    getColumnList(idDatabase: String, typeConnection: string, schema: String, object: String, name: String): Promise<ColumnListResponse>;
    getColumnNormalizedList(idDatabase: String, typeConnection: string, schema: String, object: String, name: String): Promise<ColumnNormalizedListResponse>;
    getMetricList(cnx_type: String): Promise<ConfigurationResponse>;
    getConnectionById(idConnection: String): Promise<ConnectionDataBaseModel>;
}
